<?php
/*****************************************************
 RackForms
 Copyright 2008 nicSoft
 
 License available at http://www.rackforms.com/license
 *****************************************************/
define ( 'INSTALL', 'true' );
define ( 'DEBUG', 'true' );

error_reporting ( E_ALL );
ini_set ( "display_errors", 1 );

if(isset($_GET['info']) && $_GET['info'] == 1){
	echo '<div align="center" style="width:100%; height:50px; background-color:#CCCCCC; margin-bottom:10px;">';
	echo "<h2><a href=\"index.php\">Return to the RackForms Install Check Screen</a></h2>";
	echo '</div>';
	phpinfo();
	die();
}


// Build 640 - Preflight Check For Common Issues
$preflight = '<span class="pass">Your Server\'s Base Configuration Is Perfectly Suited For RackForms!</span>';

if(ini_get('magic_quotes_gpc')){
	$preflight = '<li><span class="notice">Your server is set with magic_quotes_gpc, an unnecessary and soon to be depreciated variable. Please disable this in your php.ini for best results.</span></li>';
}

if(ini_get('output_buffering') == false){
	$preflight = '<li><span class="notice">Your server doesn\'t have output_buffering enabled. If you plan on doing custom PHP work with RackForms, it is advisable that you enable it in your php.ini file with the default value of 4096.<br/><br/>How does output_buffering affect RackForms? The simple answer is it doesn\'t. However, enabling output_buffering is handy for many PHP programming beginners, as it eliminates a common coding issue where a warning message at the top of a page breaks the rest of the page (the headers already sent message). If you are unsure of what this means, you can safely ignore this setting!</span></li>';
}

if(ini_get('allow_url_fopen') == false && !extension_loaded('curl')){
	$preflight = '<li><span class="error">Your server doesn\'t have allow_url_fopen or the cURL Extension enabled. Unfortunately RackForms will not run without at least one of these enabled. Please contact your web hosting service provider to learn how to enable this setting (allow_url_fopen) or extension (cURL).</span></li>';
}


$mysql_check = 1;
$mysql_check_mysqli = 1;
$mssql_check = 1;

$check1 = '<span class="pass">Pass</span>';
if (!version_compare ( PHP_VERSION, "5.1.4", ">=" )) {
	$check1 = '<span class="fail">Fail</span>';
}

$check2 = '<span class="pass">Pass</span>';
if (!extension_loaded('pdo')) {
	$check2 = '<span class="fail">Not Loaded</span>';
	$mysql_check = 0;
}

$check3 = '<span class="pass">Pass</span>';
if (!extension_loaded('pdo_mysql')) {
	$check3 = '<span class="fail">Not Loaded</span>';
	$mysql_check = 0;
}

$check4 = '<span class="pass">Pass</span>';
if (!extension_loaded('mysqli')) {
	$check4 = '<span class="fail">Not Loaded</span>';
	$mysql_check_mysqli = 0;
}

$check5 = '<span class="pass">Pass</span>';
if (!extension_loaded('sqlsrv')) {
	$check5 = '<span class="fail">Not Loaded</span>';
	$mssql_check = 0;
}



$final_message = '';

if($mysql_check == 1 && $mysql_check_mysqli == 1 && $mssql_check == 1){
	$final_message = "Your server is properly configured for use with MySQL and MSSQL! Which database you use will depend on your job requirements, but if you have no preference, we suggest using MySQL as you will have more features available to you. Speicifcally, the Builder 2 features only work with MySQL.";	
}

if($mysql_check == 0 && $mysql_check_mysqli == 1 && $mssql_check == 1){
	$final_message = "Your server is properly configured for use with MySQL and MSSQL! Which database you use will depend on your job requirements, but if you have no preference, we suggest using MySQL as you will have more features available to you. Speicifcally, the Builder 2 features only work with MySQL.";	
}

if($mysql_check == 1 && $mysql_check_mysqli == 0 && $mssql_check == 1){
	$final_message = "Your server is properly configured for use with MySQL and MSSQL! Which database you use will depend on your job requirements, but if you have no preference, we suggest using MySQL as you will have more features available to you. Speicifcally, the Builder 2 features only work with MySQL.";	
}

if($mysql_check == 1 && $mysql_check_mysqli == 0 && $mssql_check == 0){
	$final_message = "Your server is properly configured for use with MySQL, but not MSSQL. For 99% of users this is perfectly normal, as the SQLSRV extension is only for Windows Hosting Acounts. RackForms will install to your MySQL database just fine.";	
}

if($mysql_check == 0 && $mysql_check_mysqli == 1 && $mssql_check == 0){
	$final_message = "Your server is properly configured for use with MySQL, but not MSSQL. For 99% of users this is perfectly normal, as the SQLSRV extension is only for Windows Hosting Acounts. RackForms will install to your MySQL database just fine.";	
}

if($mysql_check == 0 && $mysql_check_mysqli == 0 && $mssql_check == 1){
	$final_message = "Your server is properly configured for use with your Microsoft SQL Server Database.";	
}

if($mysql_check == 0 && $mysql_check_mysqli == 0 && $mssql_check == 0){
	$final_message = "Unfortunately your current atabase configuration is not compatible with RackForms 2. This is because no suitable Database driver was found for MySQL or Microsoft SQL Server. To fix this you may want to consider switching hosts, rebuilding or reinstalling PHP, or contacting us at: info@rackforms.com to discuss your options.";	
}

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>RackForms Install Check</title>

<link rel="stylesheet" type="text/css" href="app/style.css">
<link rel="stylesheet" type="text/css" href="app/style-gradients.css">

<style type="text/css">

body { font-family: Proxima,Arial,Verdana,sans-serif; }

/* web-fonts */
@font-face {
    font-family: "Proxima";
    font-style: normal;
    font-weight: normal;
    src: url("app/fonts/proxima/proximanova-reg-webfont.woff") format("woff");
}
@font-face {
    font-family: "Proxima";
    font-style: normal;
    font-weight: bold;
    src: url("app/fonts/proxima/proximanova-sbold-webfont.woff") format("woff");
}
@font-face {
    font-family: "Proxima";
    font-style: normal;
    font-weight: 800;
    src: url("app/fonts/proxima/proximanova-bold-webfont.woff") format("woff");
}
@font-face {
    font-family: "Proxima";
    font-style: italic;
    font-weight: normal;
    src: url("app/fonts/proxima/proximanova-regit-webfont.woff") format("woff");
}
  
.fail { font-weight:bold; color:#C03; font-size:9pt; }
.notice { font-weight:normal; color:#666; font-size:9pt; }
.pass { font-weight:bold; color:#0C0; font-size:9pt; }

  
input { font-size:9pt; color:#444; }
select { font-size:9pt; color:#444; }
body { color:#444; }
</style>

<link rel="icon" type="image/png" href="app/favicon.png">

</head>
<body style="background-color:#45494d; background-image:url(app/images/login-bg.png); background-repeat:repeat-x;">
<br />
<br />
<br />
<br />
<div style=" position:relative; width:642px; height:457px; margin-left:auto; margin-right:auto;">

	<div class="gradient-dark-gray" id="login-top" style="height:45px; border-radius:5px 5px 0px 0px; padding-left:30px; padding-top:15px; color:#eee; font-size:18pt;">
  		Welcome to the RackForms Install Check
  	</div>
    
    <div style="background-color:#f2f2f2; padding-bottom:40px; padding-left:50px; padding-top:20px;">
  




<table width="580" border="0" cellpadding="5" cellspacing="0"
	class="full_box"
	style="font-family: Arial, Helvetica, sans-serif; font-size: 14px; font-weight: bold; text-align: left;">
	<tr>
	  <td colspan="2">
	    <div align="left"></div>
	    <p class="login-link">This page checks your system for use with RackForms.&nbsp;&nbsp;<a href="index.php?info=1" class="login-link">[ View Your PHP Info Page ]</a></p>
	    </td>
	  </tr>
	<tr>
	  <td align="right">Install Check Results</td>
	  <td>&nbsp;</td>
	  </tr>
	<tr>
	  <td align="right" class="text-grey-regular-8pt">PHP Version (5.1.4+):</td>
	  <td><?php echo $check1; ?></td>
	  </tr>
	<tr>
	  <td align="right" class="text-grey-regular-8pt">Database: MySQL PDO</td>
	  <td><?php echo $check2; ?></td>
	  </tr>
	<tr>
		<td width="45%" align="right" class="text-grey-regular-8pt">Database: MySQL - PDO_MYSQL</td>
		<td width="55%"><?php echo $check3; ?></td>
		</tr>
	<tr>
	<tr>
		<td width="45%" align="right" class="text-grey-regular-8pt">Database: MySQL - MySQLi</td>
		<td width="55%"><?php echo $check4; ?></td>
		</tr>
	<tr>
	  <td align="right" class="text-grey-regular-8pt">
	    Database: MSSQL  SQLSRV </td>
	  <td><?php echo $check5; ?></td>
	  </tr>
	<tr>
	  <td align="left">Database Analysis:</td>
	  <td>&nbsp;</td>
	  </tr>
	<tr>
	  <td colspan="2" class="text-grey-regular-8pt"><?php echo $final_message; ?></td>
	  </tr>
	<tr>
	  <td colspan="2" align="left">Other Compatibility And Info Messages:</td>
	  </tr>
	<!-- preflight -->
    <tr>

		<td colspan="2">
        <span style="margin-left: 40px;" class="login-body-notice">
        <?php echo $preflight; ?>
        </span>
		</td>
	</tr>
    
    
	<tr>
		<td>&nbsp;</td>
		<td></td>
		</tr>
</table>


  
  </div>
  
  <div class="gradient-dark-gray" id="login-bottom" style=" height:65px;  border-radius:0px 0px 5px 5px; position:relative;">

  </div>
  
</div>
</body>

</html>
<?php
if (isset ( $error ) && $error == 0) {
	// clear out any saved info
	session_destroy ();
}
?>